## ascii 3.30

=== debian/changelog ===
ascii (3.30-1) unstable; urgency=medium

  * New upstream version 3.30. (Closes: #1126790)
  * New maintainer. Thanks to Calogero Lo Leggio and to all previous
    maintainers for all work over this package. (Closes: #1126790)
  * debian/ascii.lintian-overrides: dropped because this is no longer needed.
  * debian/control:
      - Added asciidoctor to Build-Depends field.
      - Bumped Standards-Version to 4.7.3.
      - Dropped xmlto from Build-Depends field. The upstream no longer needs
        this dependency for Makefile since version 3.19 (Feb 7, 2024).
      - Moved project to debian group on Git.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
      - Reviewed the long description.
      - Updated Homepage field.
  * debian/copyright:
      - Updated and fixed the copyright rights for upstream and packaging.
      - Updated Source field.
      - Updated Upstream-Contact field.
  * debian/gbp.conf: dropped because this file is not needed for me.
  * debian/patches/:
      - handle_bytes_on_signed_char: dropped because the upstream fixed the
        source code. Thanks!
      - 010_add-GCC-hardening.patch: created to provide GCC hardening.
  * debian/rules:
      - Created target override_dh_auto_install to define variables DESTDIR
        and PREFIX.
      - Created target override_dh_installchangelogs to install the file
        NEWS.adoc as a changelog.
      - Dropped target override_dh_auto_build created to provide GCC hardening.
        From now, using a patch for this purpose.
      - Dropped target override_dh_auto_clean because the upstream Makefile
        has a clean target.
  * debian/salsa-ci.yml: created to provide CI tests on Salsa.
  * debian/tests/control: created to provide CI tests.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Migrated to version 5.
      - Updated to new upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 04 Feb 2026 23:48:18 -0300

=== debian/control ===
Source: ascii
Section: utils
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), asciidoctor
Standards-Version: 4.7.3
Homepage: https://gitlab.com/esr/ascii
Vcs-Git: https://salsa.debian.org/debian/ascii.git
Vcs-Browser: https://salsa.debian.org/debian/ascii

Package: ascii
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive ASCII name and synonym chart
 The ascii utility is a command-line tool for converting between the ASCII
 character table and various byte representations. It understands a wide range
 of formats, including hexadecimal, binary, octal, Teletype mnemonics,
 ISO/ECMA code points, slang names, XML entity names, and others.
 Given any representation on the command line, ascii attempts to display all
 corresponding forms. When invoked without arguments, it displays a compact
 and convenient ASCII chart.

## ascii 3.31

=== Makefile ===
# ascii -- interactive ASCII reference
#
# SPDX-FileCopyrightText: (C) Eric S. Raymond <esr@thyrsus.com>
# SPDX-License-Identifier: BSD-2-Clause

VERS=$(shell sed -n <NEWS.adoc '/^[0-9]/s/:.*//p' | head -1)

CFLAGS = -O

PREFIX = /usr/local

.PHONY: all clean format cppcheck splint install uninstall
	version dist release refresh spellcheck

all: ascii ascii.1

ascii: ascii.c splashscreen.h nametable.h
	$(CC) $(CFLAGS) -DREVISION='"$(VERS)"' ascii.c -o ascii

splashscreen.h: splashscreen
	sed <splashscreen >splashscreen.h \
		-e 's/\\/\\\\/g' \
		-e 's/"/\\"/g' \
		-e 's/.*/"&" "\\n"/'

nametable.h: nametable
	sed <nametable >nametable.h \
		-e '/^#/d' \
		-e 's/^[A-Za-z ]*: */    /' \
		-e 's/%%/    }, {/'

# Note: to suppress the footers with timestamps being generated in HTML,
# we use "-a nofooter".
# To debug asciidoc problems, you may need to run "xmllint --nonet --noout --valid"
# on the intermediate XML that throws an error.
.SUFFIXES: .html .adoc .1

.adoc.1:
	asciidoctor -D. -a nofooter -b manpage $<
.adoc.html:
	asciidoctor -D. -a nofooter -a webfonts! $<

clean:
	rm -f ascii ascii.o splashscreen.h nametable.h
	rm -f *.rpm *.tar.gz MANIFEST *.1 *.html

reflow:
	@clang-format --style="{IndentWidth: 8, UseTab: ForIndentation}" -i $$(find . -name "*.[ch]")

CPPCHECKOPTS =
cppcheck: nametable.h splashscreen.h
	@cppcheck --quiet -DREVISION='"$(VERS)"' $(CPPCHECKOPTS) ascii.c

SPLINT_SUPPRESSIONS = -boolops -nullret -initallelements +charintliteral
splint: nametable.h splashscreen.h
	splint +quiet +posixlib $(SPLINT_SUPPRESSIONS) ascii.c

spellcheck:
	spellcheck ascii.adoc

install: ascii ascii.1
	cp ascii $(DESTDIR)$(PREFIX)/bin/ascii
	cp ascii.1 $(DESTDIR)$(PREFIX)/share/man/man1

uninstall:
	rm $(DESTDIR)$(PREFIX)/bin/ascii
	rm $(DESTDIR)$(PREFIX)/share/man/man1/ascii.1

SOURCES = \
	README.adoc COPYING NEWS.adoc control Makefile \
	ascii.c ascii.adoc splashscreen nametable

version:
	@echo $(VERS)

ascii-$(VERS).tar.gz: $(SOURCES) ascii.1
	@ls $(SOURCES) ascii.1 | sed s:^:ascii-$(VERS)/: >MANIFEST
	@(cd ..; ln -s ascii ascii-$(VERS))
	(cd ..; tar -czvf ascii/ascii-$(VERS).tar.gz `cat ascii/MANIFEST`)
	@(cd ..; rm ascii-$(VERS))

dist: ascii-$(VERS).tar.gz

release: ascii-$(VERS).tar.gz ascii.html
	shipper version=$(VERS) | sh -e -x

refresh: ascii.html
	shipper -N -w version=$(VERS) | sh -e -x

=== debian/changelog ===
ascii (3.31-2) unstable; urgency=medium

  * debian/control: updated Homepage field.
  * debian/upstream/metadata: added Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 08 Feb 2026 17:02:21 -0300

ascii (3.31-1) unstable; urgency=medium

  * New upstream version 3.31.
  * debian/copyright: updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 08 Feb 2026 13:22:58 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), asciidoctor
 Standards-Version: 4.7.3
-Homepage: https://gitlab.com/esr/ascii
+Homepage: http://www.catb.org/~esr/ascii/
 Vcs-Git: https://salsa.debian.org/debian/ascii.git
 Vcs-Browser: https://salsa.debian.org/debian/ascii

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/ascii PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS.adoc

=== debian/tests/control ===
Test-Command: ascii | grep -C20 DC3

Test-Command: ascii tab | grep -C3 Horizontal

Test-Command: ascii 65 | grep -C20 Digit | grep -C20 Capital | grep -C20 Small

Test-Command: ascii ascii 0x41 | grep -C3 Capital

Test-Command: ascii 1000001 | grep -C20 Capital

=== debian/watch ===
Version: 5

Template: GitLab
Dist: https://gitlab.com/esr/ascii

## ascii 3.32

=== Makefile ===
# ascii -- interactive ASCII reference
#
# SPDX-FileCopyrightText: (C) Eric S. Raymond <esr@thyrsus.com>
# SPDX-License-Identifier: BSD-2-Clause

PREFIX      ?= /usr/local
BINDIR      ?= $(PREFIX)/bin
DATADIR     ?= $(PREFIX)/share
MANDIR      ?= $(DATADIR)/man

CFLAGS += -O -Wall -Wextra -Werror

VERSION=$(shell sed -n <NEWS.adoc '/^[0-9]/s/:.*//p' | head -1)

# Rules

# Note: to suppress the footers with timestamps being generated in HTML,
# we use "-a nofooter".
# To debug asciidoc problems, you may need to run "xmllint --nonet --noout --valid"
# on the intermediate XML that throws an error.
.SUFFIXES: .html .adoc .1

.adoc.1:
	asciidoctor -D. -a nofooter -b manpage $<
.adoc.html:
	asciidoctor -D. -a nofooter -a webfonts! $<

.PHONY: all clean check cppcheck spellcheck reflow
.PHONY: install uninstall version dist release refresh

# Build

all: ascii ascii.1

ascii: ascii.c splashscreen.h nametable.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -DREVISION='"$(VERSION)"' ascii.c -o ascii

splashscreen.h: splashscreen
	sed <splashscreen >splashscreen.h \
		-e 's/\\/\\\\/g' \
		-e 's/"/\\"/g' \
		-e 's/.*/"&" "\\n"/'

nametable.h: nametable
	sed <nametable >nametable.h \
		-e '/^#/d' \
		-e 's/^[A-Za-z ]*: */    /' \
		-e 's/%%/    }, {/'

clean:
	rm -f ascii ascii.o splashscreen.h nametable.h
	rm -f *.tar.gz *.1 *.html

# Validate

check: cppcheck

CPPCHECKOPTS =
cppcheck: nametable.h splashscreen.h
	@cppcheck --quiet -DREVISION='"$(VERSION)"' $(CPPCHECKOPTS) ascii.c

spellcheck:
	spellcheck ascii.adoc

reflow:
	@clang-format --style="{IndentWidth: 8, UseTab: ForIndentation}" -i $$(find . -name "*.[ch]")

# Install/uninstall

install:
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 ascii $(DESTDIR)$(BINDIR)/ascii
	install -d $(DESTDIR)$(MANDIR)
	install -d $(DESTDIR)$(MANDIR)/man1
	install ascii.1 $(DESTDIR)$(MANDIR)/man1/ascii.1

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/ascii
	rm -f $(DESTDIR)$(MANDIR)/man1/ascii.1

# Export

SOURCES = \
	README.adoc COPYING NEWS.adoc control Makefile \
	ascii.c ascii.adoc splashscreen nametable

version:
	@echo $(VERSION)

ascii-$(VERSION).tar.gz: $(SOURCES)
	mkdir ascii-$(VERSION)
	cp -r $(SOURCES) ascii-$(VERSION)
	tar -czf ascii-$(VERSION).tar.gz ascii-$(VERSION)
	rm -fr ascii-$(VERSION)
	ls -l ascii-$(VERSION).tar.gz

dist: ascii-$(VERSION).tar.gz

release: ascii-$(VERSION).tar.gz ascii.html
	shipper version=$(VERSION) | sh -e -x

refresh: ascii.html
	shipper -N -w version=$(VERSION) | sh -e -x

# end

=== debian/changelog ===
ascii (3.32-1) unstable; urgency=medium

  * New upstream version 3.32. (Closes: #117764)
  * debian/control: added cppcheck to Build-Depends field.
  * debian/patches/010_add-GCC-hardening.patch: dropped because the upstream
    applied this patch. Thanks Eric!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Mar 2026 17:20:47 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ascii
 Section: utils
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 13), asciidoctor
+Build-Depends: debhelper-compat (= 13), asciidoctor, cppcheck
 Standards-Version: 4.7.3
 Homepage: http://www.catb.org/~esr/ascii/
 Vcs-Git: https://salsa.debian.org/debian/ascii.git
